Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMValidationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.schema.SOMValidationException

public class SOMValidationException
extends java.lang.Exception

This class describes an error found during a validation procedure.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SOMValidationException(SOMObject ref, org.w3c.dom.Node node, java.lang.String message)`
`SOMValidationException(SOMObject ref, org.w3c.dom.Node node, java.lang.String message, java.lang.Object[] messageArgs)`
`SOMValidationException(java.lang.String message)`

Method Summary
`java.lang.String` | `getMessage()`
`org.w3c.dom.Node` | `getNode()` get a reference to the DOM Node that was in error.
`SOMObject` | `getReference()` get reference to the SOMObject that created the validation error.
`protected void` | `setArg(int idx, java.lang.String value)` override an Object[] argument after contruction.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMValidationException

    public SOMValidationException(java.lang.String message)

### SOMValidationException

    public SOMValidationException(SOMObject ref,
                                  org.w3c.dom.Node node,
                                  java.lang.String message)

### SOMValidationException

    public SOMValidationException(SOMObject ref,
                                  org.w3c.dom.Node node,
                                  java.lang.String message,
                                  java.lang.Object[] messageArgs)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

### getReference

    public SOMObject getReference()

  get reference to the SOMObject that created the validation error.

  Returns:
    com.bea.schema.SOMObject

### getNode

    public org.w3c.dom.Node getNode()

  get a reference to the DOM Node that was in error.

  Returns:
    org.w3c.dom.Node

### setArg

    protected void setArg(int idx,
                          java.lang.String value)

  override an Object[] argument after contruction. This method will throw ArrayIndexOutOfBoundsException if the idx is invalid.

  Parameters:
    `idx` - index of argument to set
    `value` - value to set argument to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)